Diễn đàn của các kỹ sư kết cấu Việt Nam

Diễn đàn của các kỹ sư kết cấu Việt Nam (http://www.ketcau.com/forum/index.php)
-   Lập trình tính toán, phân tích kết cấu (http://www.ketcau.com/forum/forumdisplay.php?f=106)
-   -   Vẽ hình chữ nhật với VBA (trong Cad) (http://www.ketcau.com/forum/showthread.php?t=6155)

AutumnHeart_1982 21-11-2007 01:39 PM

Vẽ hình chữ nhật với VBA (trong Cad)
 
Cho em hỏi các bác cao thủ, làm thế nào để vẽ được hình chữ nhật trong Cad với VBA (không dùng lệnh sendcommand), em nghiên cứu mãi mà chưa ra. Xin các cao thủ chỉ dùm.

ThangCoi 21-11-2007 02:25 PM

Ðề: Vẽ hình chữ nhật với VBA (trong Cad)
 
Trích:

Nguyên văn bởi AutumnHeart_1982
Cho em hỏi các bác cao thủ, làm thế nào để vẽ được hình chữ nhật trong Cad với VBA (không dùng lệnh sendcommand), em nghiên cứu mãi mà chưa ra. Xin các cao thủ chỉ dùm.

Vẽ Polyline thay cho hình chữ nhật kích thước là 200x100
Private Sub veChuNhat()
Dim Rectang(0 To 7) As Double
Dim Pline As AcadLWPolyline
Dim BasePoint As Variant
BasePoint = ThisDrawing.Utility.GetPoint(, vbCrLf & "Diem chen:")
Rectang(0) = BasePoint(0)
Rectang(1) = BasePoint(1)
Rectang(2) = BasePoint(0)
Rectang(3) = BasePoint(1) + 100
Rectang(4) = BasePoint(0) + 200
Rectang(5) = BasePoint(1) + 100
Rectang(6) = BasePoint(0) + 200
Rectang(7) = BasePoint(1)
Set Pline = ThisDrawing.ModelSpace.AddLightWeightPolyline(Rectang)
Pline.Closed = True
End Sub

AutumnHeart_1982 21-11-2007 03:53 PM

Ðề: Vẽ hình chữ nhật với VBA (trong Cad)
 
Cám ơn bạn đã góp ý nhưng mình cần vẽ hình chữ nhật vát góc (theo 1 cung tròn) vì vậy dùng polyline thì rất phức tạp


Múi giờ GMT. Hiện tại là 11:42 PM.

DIỄN ĐÀN http://ketcau.com/forum NƠI HỘI TỤ CỦA CÁC KỸ SƯ KẾT CÂU VIỆT NAM
WWW.KETCAU.COM - CẦU NỐI CỦA CÁC KỸ SƯ KẾT CẤU CÔNG TRÌNH, ĐỊA KỸ THUẬT VIỆT NAM. DIỄN ĐÀN ĐƯỢC MUA BẢN QUYỀN CỦA JELSOFT ENTERPRISES Ltd.